diff --git a/fc-solve/source/scans_impl.h b/fc-solve/source/scans_impl.h
index 44bdd87fa..5bb8183b2 100644
--- a/fc-solve/source/scans_impl.h
+++ b/fc-solve/source/scans_impl.h
@@ -11,7 +11,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include <assert.h>
@@ -44,7 +45,7 @@ extern "C" {
 
 #define BEFS_MAX_DEPTH 20000
 
-extern const fcs_default_weights_t fc_solve_default_befs_weights;
+    extern const fcs_default_weights_t fc_solve_default_befs_weights;
 
 #ifdef FCS_FREECELL_ONLY
 #define is_filled_by_any_card() TRUE
@@ -52,235 +53,237 @@ extern const fcs_default_weights_t fc_solve_default_befs_weights;
 #define is_filled_by_any_card()                                                \
     (INSTANCE_EMPTY_STACKS_FILL == FCS_ES_FILLED_BY_ANY_CARD)
 #endif
-static inline void fc_solve_initialize_befs_rater(
-    fc_solve_soft_thread_t *const soft_thread,
-    fc_solve_state_weighting_t *const weighting)
-{
-    const double *const befs_weights = weighting->befs_weights.weights;
-    /* Normalize the BeFS Weights, so the sum of all of them would be 1. */
-    double sum = 0;
-    for (int i = 0; i < FCS_NUM_BEFS_WEIGHTS; i++)
-    {
-        sum += befs_weights[i];
-    }
-    if (sum < 1e-6)
+    static inline void fc_solve_initialize_befs_rater(
+        fc_solve_soft_thread_t *const soft_thread,
+        fc_solve_state_weighting_t *const weighting)
     {
-        sum = 1;
-    }
-    const_AUTO(factor, INT_MAX / sum);
+        const double *const befs_weights = weighting->befs_weights.weights;
+        /* Normalize the BeFS Weights, so the sum of all of them would be 1. */
+        double sum = 0;
+        for (int i = 0; i < FCS_NUM_BEFS_WEIGHTS; i++)
+        {
+            sum += befs_weights[i];
+        }
+        if (sum < 1e-6)
+        {
+            sum = 1;
+        }
+        const_AUTO(factor, INT_MAX / sum);
 #define W(idx) (befs_weights[idx] * factor)
-    fc_solve_hard_thread_t *const hard_thread = soft_thread->hard_thread;
-    fc_solve_instance_t *const instance = HT_INSTANCE(hard_thread);
-    HARD__SET_GAME_PARAMS();
+        fc_solve_hard_thread_t *const hard_thread = soft_thread->hard_thread;
+        fc_solve_instance_t *const instance = HT_INSTANCE(hard_thread);
+        HARD__SET_GAME_PARAMS();
 
 #ifndef FCS_FREECELL_ONLY
-    const fcs_bool_t unlimited_sequence_move_var =
-        INSTANCE_UNLIMITED_SEQUENCE_MOVE;
+        const fcs_bool_t unlimited_sequence_move_var =
+            INSTANCE_UNLIMITED_SEQUENCE_MOVE;
 #define unlimited_sequence_move unlimited_sequence_move_var
 #else
 #define unlimited_sequence_move FALSE
 #endif
 
-    const double num_cards_out_factor =
-        W(FCS_BEFS_WEIGHT_CARDS_OUT) / (LOCAL_DECKS_NUM * 52);
-
-    double out_sum = 0.0;
-    const_PTR(
-        num_cards_out_lookup_table, weighting->num_cards_out_lookup_table);
-    for (int i = 0; i <= 13; i++, out_sum += num_cards_out_factor)
-    {
-        num_cards_out_lookup_table[i] = out_sum;
-    }
-
-    weighting->max_sequence_move_factor =
-        W(FCS_BEFS_WEIGHT_MAX_SEQUENCE_MOVE) /
-        (is_filled_by_any_card()
-                ? (unlimited_sequence_move
-                          ? (LOCAL_FREECELLS_NUM + INSTANCE_STACKS_NUM)
-                          : ((LOCAL_FREECELLS_NUM + 1)
-                                << (INSTANCE_STACKS_NUM)))
-                : (unlimited_sequence_move ? LOCAL_FREECELLS_NUM : 1));
+        const double num_cards_out_factor =
+            W(FCS_BEFS_WEIGHT_CARDS_OUT) / (LOCAL_DECKS_NUM * 52);
 
-    weighting->cards_under_sequences_factor =
-        W(FCS_BEFS_WEIGHT_CARDS_UNDER_SEQUENCES) /
-        instance->initial_cards_under_sequences_value;
-
-    weighting->seqs_over_renegade_cards_factor =
-        W(FCS_BEFS_WEIGHT_SEQS_OVER_RENEGADE_CARDS) /
-        FCS_SEQS_OVER_RENEGADE_POWER(LOCAL_DECKS_NUM * (13 * 4));
-
-    weighting->depth_factor = W(FCS_BEFS_WEIGHT_DEPTH) / BEFS_MAX_DEPTH;
-
-    weighting->num_cards_not_on_parents_factor =
-        W(FCS_BEFS_WEIGHT_NUM_CARDS_NOT_ON_PARENTS) / (LOCAL_DECKS_NUM * 52);
+        double out_sum = 0.0;
+        const_PTR(
+            num_cards_out_lookup_table, weighting->num_cards_out_lookup_table);
+        for (int i = 0; i <= 13; i++, out_sum += num_cards_out_factor)
+        {
+            num_cards_out_lookup_table[i] = out_sum;
+        }
 
-    weighting->should_go_over_stacks =
-        (weighting->max_sequence_move_factor ||
-            weighting->cards_under_sequences_factor ||
-            weighting->seqs_over_renegade_cards_factor);
-}
+        weighting->max_sequence_move_factor =
+            W(FCS_BEFS_WEIGHT_MAX_SEQUENCE_MOVE) /
+            (is_filled_by_any_card()
+                    ? (unlimited_sequence_move
+                              ? (LOCAL_FREECELLS_NUM + INSTANCE_STACKS_NUM)
+                              : ((LOCAL_FREECELLS_NUM + 1)
+                                    << (INSTANCE_STACKS_NUM)))
+                    : (unlimited_sequence_move ? LOCAL_FREECELLS_NUM : 1));
+
+        weighting->cards_under_sequences_factor =
+            W(FCS_BEFS_WEIGHT_CARDS_UNDER_SEQUENCES) /
+            instance->initial_cards_under_sequences_value;
+
+        weighting->seqs_over_renegade_cards_factor =
+            W(FCS_BEFS_WEIGHT_SEQS_OVER_RENEGADE_CARDS) /
+            FCS_SEQS_OVER_RENEGADE_POWER(LOCAL_DECKS_NUM * (13 * 4));
+
+        weighting->depth_factor = W(FCS_BEFS_WEIGHT_DEPTH) / BEFS_MAX_DEPTH;
+
+        weighting->num_cards_not_on_parents_factor =
+            W(FCS_BEFS_WEIGHT_NUM_CARDS_NOT_ON_PARENTS) /
+            (LOCAL_DECKS_NUM * 52);
+
+        weighting->should_go_over_stacks =
+            (weighting->max_sequence_move_factor ||
+                weighting->cards_under_sequences_factor ||
+                weighting->seqs_over_renegade_cards_factor);
+    }
 #undef unlimited_sequence_move
 #undef W
 
-typedef int fcs_depth_t;
+    typedef int fcs_depth_t;
 
-static inline fcs_depth_t calc_depth(fcs_collectible_state_t *ptr_state)
-{
-#ifdef FCS_WITHOUT_DEPTH_FIELD
-    register fcs_depth_t ret = 0;
-    while ((ptr_state = FCS_S_PARENT(ptr_state)) != NULL)
+    static inline fcs_depth_t calc_depth(fcs_collectible_state_t *ptr_state)
     {
-        ++ret;
-    }
-    return ret;
+#ifdef FCS_WITHOUT_DEPTH_FIELD
+        register fcs_depth_t ret = 0;
+        while ((ptr_state = FCS_S_PARENT(ptr_state)) != NULL)
+        {
+            ++ret;
+        }
+        return ret;
 #else
     return (FCS_S_DEPTH(ptr_state));
 #endif
-}
+    }
 
 #ifdef DEBUG
-static inline void fcs_trace(const char *const format, ...)
-{
-    va_list my_va_list;
-    va_start(my_va_list, format);
-
-    if (getenv("FCS_TRACE"))
+    static inline void fcs_trace(const char *const format, ...)
     {
-        vfprintf(stdout, format, my_va_list);
-        fflush(stdout);
+        va_list my_va_list;
+        va_start(my_va_list, format);
+
+        if (getenv("FCS_TRACE"))
+        {
+            vfprintf(stdout, format, my_va_list);
+            fflush(stdout);
+        }
+        va_end(my_va_list);
     }
-    va_end(my_va_list);
-}
 #endif
 
-static inline fcs_game_limit_t count_num_vacant_freecells(
-    const fcs_game_limit_t freecells_num, const fcs_state_t *const state_ptr)
-{
-    fcs_game_limit_t num_vacant_freecells = 0;
-    for (int i = 0; i < freecells_num; i++)
+    static inline fcs_game_limit_t count_num_vacant_freecells(
+        const fcs_game_limit_t freecells_num,
+        const fcs_state_t *const state_ptr)
     {
-        if (fcs_freecell_is_empty(*state_ptr, i))
+        fcs_game_limit_t num_vacant_freecells = 0;
+        for (int i = 0; i < freecells_num; i++)
         {
-            num_vacant_freecells++;
+            if (fcs_freecell_is_empty(*state_ptr, i))
+            {
+                num_vacant_freecells++;
+            }
         }
-    }
 
-    return num_vacant_freecells;
-}
+        return num_vacant_freecells;
+    }
 
-static inline pq_rating_t befs_rate_state(
-    const fc_solve_soft_thread_t *const soft_thread,
-    const fc_solve_state_weighting_t *const weighting,
-    const fcs_state_t *const state, const int negated_depth)
-{
-    const_AUTO(instance, fcs_st_instance(soft_thread));
+    static inline pq_rating_t befs_rate_state(
+        const fc_solve_soft_thread_t *const soft_thread,
+        const fc_solve_state_weighting_t *const weighting,
+        const fcs_state_t *const state, const int negated_depth)
+    {
+        const_AUTO(instance, fcs_st_instance(soft_thread));
 #ifndef FCS_FREECELL_ONLY
-    const int sequences_are_built_by =
-        GET_INSTANCE_SEQUENCES_ARE_BUILT_BY(instance);
+        const int sequences_are_built_by =
+            GET_INSTANCE_SEQUENCES_ARE_BUILT_BY(instance);
 #endif
-    HARD__SET_GAME_PARAMS();
+        HARD__SET_GAME_PARAMS();
 
 #ifndef FCS_FREECELL_ONLY
-    const fcs_bool_t unlimited_sequence_move_var =
-        INSTANCE_UNLIMITED_SEQUENCE_MOVE;
+        const fcs_bool_t unlimited_sequence_move_var =
+            INSTANCE_UNLIMITED_SEQUENCE_MOVE;
 #define unlimited_sequence_move unlimited_sequence_move_var
 #else
 #define unlimited_sequence_move FALSE
 #endif
 
-    fc_solve_seq_cards_power_type_t cards_under_sequences = 0;
-    fc_solve_seq_cards_power_type_t seqs_over_renegade_cards = 0;
+        fc_solve_seq_cards_power_type_t cards_under_sequences = 0;
+        fc_solve_seq_cards_power_type_t seqs_over_renegade_cards = 0;
 
-    double sum = (max(0, negated_depth) * weighting->depth_factor);
-    const_PTR(
-        num_cards_out_lookup_table, weighting->num_cards_out_lookup_table);
-    if (num_cards_out_lookup_table[1])
-    {
-        const int num_foundations = (LOCAL_DECKS_NUM << 2);
-        for (int found_idx = 0; found_idx < num_foundations; ++found_idx)
+        double sum = (max(0, negated_depth) * weighting->depth_factor);
+        const_PTR(
+            num_cards_out_lookup_table, weighting->num_cards_out_lookup_table);
+        if (num_cards_out_lookup_table[1])
         {
-            sum += num_cards_out_lookup_table[(
-                int)(fcs_foundation_value((*state), found_idx))];
+            const int num_foundations = (LOCAL_DECKS_NUM << 2);
+            for (int found_idx = 0; found_idx < num_foundations; ++found_idx)
+            {
+                sum += num_cards_out_lookup_table[(
+                    int)(fcs_foundation_value((*state), found_idx))];
+            }
         }
-    }
 
-    fcs_game_limit_t num_vacant_stacks = 0;
-    if (weighting->should_go_over_stacks)
-    {
-        for (int a = 0; a < LOCAL_STACKS_NUM; ++a)
+        fcs_game_limit_t num_vacant_stacks = 0;
+        if (weighting->should_go_over_stacks)
         {
-            const_AUTO(col, fcs_state_get_col(*state, a));
-            const int cards_num = fcs_col_len(col);
-
-            if (cards_num <= 1)
+            for (int a = 0; a < LOCAL_STACKS_NUM; ++a)
             {
-                if (cards_num == 0)
+                const_AUTO(col, fcs_state_get_col(*state, a));
+                const int cards_num = fcs_col_len(col);
+
+                if (cards_num <= 1)
                 {
-                    ++num_vacant_stacks;
+                    if (cards_num == 0)
+                    {
+                        ++num_vacant_stacks;
+                    }
+                    continue;
                 }
-                continue;
-            }
 
-            const int c = update_col_cards_under_sequences(
+                const int c = update_col_cards_under_sequences(
 #ifndef FCS_FREECELL_ONLY
-                sequences_are_built_by,
+                    sequences_are_built_by,
 #endif
-                col, cards_num - 1);
+                    col, cards_num - 1);
 
-            cards_under_sequences += FCS_SEQS_OVER_RENEGADE_POWER(c);
-            if (c > 0)
-            {
-                seqs_over_renegade_cards +=
-                    ((unlimited_sequence_move)
-                            ? 1
-                            : FCS_SEQS_OVER_RENEGADE_POWER(cards_num - c));
+                cards_under_sequences += FCS_SEQS_OVER_RENEGADE_POWER(c);
+                if (c > 0)
+                {
+                    seqs_over_renegade_cards +=
+                        ((unlimited_sequence_move)
+                                ? 1
+                                : FCS_SEQS_OVER_RENEGADE_POWER(cards_num - c));
+                }
             }
-        }
 
-        const fcs_game_limit_t num_vacant_freecells =
-            count_num_vacant_freecells(LOCAL_FREECELLS_NUM, state);
+            const fcs_game_limit_t num_vacant_freecells =
+                count_num_vacant_freecells(LOCAL_FREECELLS_NUM, state);
 #define CALC_VACANCY_VAL()                                                     \
     (is_filled_by_any_card()                                                   \
             ? (unlimited_sequence_move                                         \
                       ? (num_vacant_freecells + num_vacant_stacks)             \
                       : ((num_vacant_freecells + 1) << num_vacant_stacks))     \
             : (unlimited_sequence_move ? (num_vacant_freecells) : 0))
-        sum += ((CALC_VACANCY_VAL() * weighting->max_sequence_move_factor) +
-                ((instance->initial_cards_under_sequences_value -
-                     cards_under_sequences) *
-                    weighting->cards_under_sequences_factor) +
-                (seqs_over_renegade_cards *
-                    weighting->seqs_over_renegade_cards_factor));
-    }
+            sum += ((CALC_VACANCY_VAL() * weighting->max_sequence_move_factor) +
+                    ((instance->initial_cards_under_sequences_value -
+                         cards_under_sequences) *
+                        weighting->cards_under_sequences_factor) +
+                    (seqs_over_renegade_cards *
+                        weighting->seqs_over_renegade_cards_factor));
+        }
 
-    const double num_cards_not_on_parents_weight =
-        weighting->num_cards_not_on_parents_factor;
-    if (num_cards_not_on_parents_weight)
-    {
-        int num_cards_not_on_parents = (LOCAL_DECKS_NUM * 52);
-        for (int stack_idx = 0; stack_idx < LOCAL_STACKS_NUM; stack_idx++)
+        const double num_cards_not_on_parents_weight =
+            weighting->num_cards_not_on_parents_factor;
+        if (num_cards_not_on_parents_weight)
         {
-            const_AUTO(col, fcs_state_get_col(*state, stack_idx));
-            const uint_fast16_t col_len = fcs_col_len(col);
-            for (uint_fast16_t h = 1; h < col_len; h++)
+            int num_cards_not_on_parents = (LOCAL_DECKS_NUM * 52);
+            for (int stack_idx = 0; stack_idx < LOCAL_STACKS_NUM; stack_idx++)
             {
-                if (!fcs_is_parent_card(
-                        fcs_col_get_card(col, h - 1), fcs_col_get_card(col, h)))
+                const_AUTO(col, fcs_state_get_col(*state, stack_idx));
+                const uint_fast16_t col_len = fcs_col_len(col);
+                for (uint_fast16_t h = 1; h < col_len; h++)
                 {
-                    num_cards_not_on_parents--;
+                    if (!fcs_is_parent_card(fcs_col_get_card(col, h - 1),
+                            fcs_col_get_card(col, h)))
+                    {
+                        num_cards_not_on_parents--;
+                    }
                 }
             }
+            sum += num_cards_not_on_parents * num_cards_not_on_parents_weight;
         }
-        sum += num_cards_not_on_parents * num_cards_not_on_parents_weight;
-    }
 
 #ifdef DEBUG
-    fcs_trace(
-        "BestFS(rate_state) - %s ; rating=%.40f .\n", "Before return", 0.1);
+        fcs_trace(
+            "BestFS(rate_state) - %s ; rating=%.40f .\n", "Before return", 0.1);
 #endif
-    return ((int)sum);
+        return ((int)sum);
 #undef CALC_VACANCY_VAL
-}
+    }
 
 #ifdef FCS_RCS_STATES
 
@@ -316,74 +319,74 @@ static inline pq_rating_t befs_rate_state(
 
 #if !defined(FCS_WITHOUT_DEPTH_FIELD) &&                                       \
     !defined(FCS_HARD_CODE_CALC_REAL_DEPTH_AS_FALSE)
-/*
- * The calculate_real_depth() inline function traces the path of the state
- * up to the original state, and thus calculates its real depth.
- *
- * It then assigns the newly updated depth throughout the path.
- *
- * */
-
-static inline void calculate_real_depth(const fcs_bool_t calc_real_depth,
-    fcs_collectible_state_t *const ptr_state_orig)
-{
-    if (calc_real_depth)
+    /*
+     * The calculate_real_depth() inline function traces the path of the state
+     * up to the original state, and thus calculates its real depth.
+     *
+     * It then assigns the newly updated depth throughout the path.
+     *
+     * */
+
+    static inline void calculate_real_depth(const fcs_bool_t calc_real_depth,
+        fcs_collectible_state_t *const ptr_state_orig)
     {
-        int_fast32_t this_real_depth = -1;
-        fcs_collectible_state_t *temp_state = ptr_state_orig;
-        /* Count the number of states until the original state. */
-        while (temp_state != NULL)
-        {
-            temp_state = FCS_S_PARENT(temp_state);
-            ++this_real_depth;
-        }
-        temp_state = ptr_state_orig;
-        /* Assign the new depth throughout the path */
-        while (FCS_S_DEPTH(temp_state) != this_real_depth)
+        if (calc_real_depth)
         {
-            FCS_S_DEPTH(temp_state) = this_real_depth;
-            --this_real_depth;
-            temp_state = FCS_S_PARENT(temp_state);
+            int_fast32_t this_real_depth = -1;
+            fcs_collectible_state_t *temp_state = ptr_state_orig;
+            /* Count the number of states until the original state. */
+            while (temp_state != NULL)
+            {
+                temp_state = FCS_S_PARENT(temp_state);
+                ++this_real_depth;
+            }
+            temp_state = ptr_state_orig;
+            /* Assign the new depth throughout the path */
+            while (FCS_S_DEPTH(temp_state) != this_real_depth)
+            {
+                FCS_S_DEPTH(temp_state) = this_real_depth;
+                --this_real_depth;
+                temp_state = FCS_S_PARENT(temp_state);
+            }
         }
     }
-}
 #else
 #define calculate_real_depth(calc_real_depth, ptr_state_orig)
 #endif
 
-/*
- * The mark_as_dead_end() inline function marks a state as a dead end, and
- * afterwards propagates this information to its parent and ancestor states.
- *
- * */
+    /*
+     * The mark_as_dead_end() inline function marks a state as a dead end, and
+     * afterwards propagates this information to its parent and ancestor states.
+     *
+     * */
 
-static inline void mark_as_dead_end__proto(
-    fcs_collectible_state_t *const ptr_state_input)
-{
-    fcs_collectible_state_t *temp_state = (ptr_state_input);
-    /* Mark as a dead end */
-    FCS_S_VISITED(temp_state) |= FCS_VISITED_DEAD_END;
-    temp_state = FCS_S_PARENT(temp_state);
-    if (temp_state != NULL)
+    static inline void mark_as_dead_end__proto(
+        fcs_collectible_state_t *const ptr_state_input)
     {
-        /* Decrease the refcount of the state */
-        --(FCS_S_NUM_ACTIVE_CHILDREN(temp_state));
-        while ((FCS_S_NUM_ACTIVE_CHILDREN(temp_state) == 0) &&
-               (FCS_S_VISITED(temp_state) & FCS_VISITED_ALL_TESTS_DONE))
+        fcs_collectible_state_t *temp_state = (ptr_state_input);
+        /* Mark as a dead end */
+        FCS_S_VISITED(temp_state) |= FCS_VISITED_DEAD_END;
+        temp_state = FCS_S_PARENT(temp_state);
+        if (temp_state != NULL)
         {
-            /* Mark as dead end */
-            FCS_S_VISITED(temp_state) |= FCS_VISITED_DEAD_END;
-            /* Go to its parent state */
-            temp_state = FCS_S_PARENT(temp_state);
-            if (temp_state == NULL)
+            /* Decrease the refcount of the state */
+            --(FCS_S_NUM_ACTIVE_CHILDREN(temp_state));
+            while ((FCS_S_NUM_ACTIVE_CHILDREN(temp_state) == 0) &&
+                   (FCS_S_VISITED(temp_state) & FCS_VISITED_ALL_TESTS_DONE))
             {
-                break;
+                /* Mark as dead end */
+                FCS_S_VISITED(temp_state) |= FCS_VISITED_DEAD_END;
+                /* Go to its parent state */
+                temp_state = FCS_S_PARENT(temp_state);
+                if (temp_state == NULL)
+                {
+                    break;
+                }
+                /* Decrease the refcount */
+                (FCS_S_NUM_ACTIVE_CHILDREN(temp_state))--;
             }
-            /* Decrease the refcount */
-            (FCS_S_NUM_ACTIVE_CHILDREN(temp_state))--;
         }
     }
-}
 
 #ifdef FCS_HARD_CODE_SCANS_SYNERGY_AS_TRUE
 #define MARK_AS_DEAD_END(state)                                                \
@@ -412,27 +415,27 @@ static inline void mark_as_dead_end__proto(
         BUMP_NUM_CHECKED_STATES__HT()                                          \
     }
 
-static inline fcs_game_limit_t count_num_vacant_stacks(
-    const fcs_game_limit_t stacks_num, const fcs_state_t *const state_ptr)
-{
-    fcs_game_limit_t num_vacant_stacks = 0;
-
-    for (int i = 0; i < stacks_num; i++)
+    static inline fcs_game_limit_t count_num_vacant_stacks(
+        const fcs_game_limit_t stacks_num, const fcs_state_t *const state_ptr)
     {
-        if (fcs_state_col_is_empty(*state_ptr, i))
+        fcs_game_limit_t num_vacant_stacks = 0;
+
+        for (int i = 0; i < stacks_num; i++)
         {
-            ++num_vacant_stacks;
+            if (fcs_state_col_is_empty(*state_ptr, i))
+            {
+                ++num_vacant_stacks;
+            }
         }
-    }
 
-    return num_vacant_stacks;
-}
+        return num_vacant_stacks;
+    }
 
-static inline fcs_bool_t fcs__should_state_be_pruned__state(
-    const fcs_collectible_state_t *const ptr_state)
-{
-    return (!(FCS_S_VISITED(ptr_state) & FCS_VISITED_GENERATED_BY_PRUNING));
-}
+    static inline fcs_bool_t fcs__should_state_be_pruned__state(
+        const fcs_collectible_state_t *const ptr_state)
+    {
+        return (!(FCS_S_VISITED(ptr_state) & FCS_VISITED_GENERATED_BY_PRUNING));
+    }
 
 #ifdef FCS_ENABLE_PRUNE__R_TF__UNCOND
 #define fcs__should_state_be_pruned(enable_pruning, ptr_state)                 \
@@ -455,18 +458,18 @@ static inline fcs_bool_t fcs__should_state_be_pruned(
         (instance->effective_max_num_checked_states -                          \
             (instance->i__num_checked_states)))
 #endif
-static inline fcs_int_limit_t calc_ht_max_num_states(
-    const fc_solve_instance_t *const instance,
-    const fc_solve_hard_thread_t *const hard_thread)
-{
-    const_AUTO(a, HT_FIELD(hard_thread, ht__max_num_checked_states));
+    static inline fcs_int_limit_t calc_ht_max_num_states(
+        const fc_solve_instance_t *const instance,
+        const fc_solve_hard_thread_t *const hard_thread)
+    {
+        const_AUTO(a, HT_FIELD(hard_thread, ht__max_num_checked_states));
 #ifdef FCS_WITHOUT_MAX_NUM_STATES
-    return a;
+        return a;
 #else
     const_AUTO(b, CALC_HARD_THREAD_MAX_NUM_CHECKED_STATES__HELPER());
     return min(a, b);
 #endif
-}
+    }
 
 #undef state
 #undef ptr_state_key
diff --git a/fc-solve/source/set_weights.h b/fc-solve/source/set_weights.h
index 0c6742553..aafbf7615 100644
--- a/fc-solve/source/set_weights.h
+++ b/fc-solve/source/set_weights.h
@@ -13,40 +13,41 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "rinutils.h"
 #include "fcs_user.h"
 
-static inline void fc_solve_set_weights(freecell_solver_str_t start_num,
-    const freecell_solver_str_t string_end, double *const befs_weights)
-{
-    for (int i = 0; i < FCS_NUM_BEFS_WEIGHTS; ++i)
+    static inline void fc_solve_set_weights(freecell_solver_str_t start_num,
+        const freecell_solver_str_t string_end, double *const befs_weights)
     {
-        while (*start_num == ',')
-        {
-            start_num++;
-        }
-        if (start_num >= string_end)
+        for (int i = 0; i < FCS_NUM_BEFS_WEIGHTS; ++i)
         {
-            /* Initialize all the Best First Search weights at first
-             * to 0 so
-             * we won't have partial initialization.
-             * */
-            do
+            while (*start_num == ',')
+            {
+                start_num++;
+            }
+            if (start_num >= string_end)
             {
-                befs_weights[i++] = 0.0;
-            } while (i < FCS_NUM_BEFS_WEIGHTS);
+                /* Initialize all the Best First Search weights at first
+                 * to 0 so
+                 * we won't have partial initialization.
+                 * */
+                do
+                {
+                    befs_weights[i++] = 0.0;
+                } while (i < FCS_NUM_BEFS_WEIGHTS);
 
-            return;
+                return;
+            }
+            char *end_num;
+            const_AUTO(val, strtod(start_num, &end_num));
+            befs_weights[i] = max(val, 0.0);
+            start_num = end_num;
         }
-        char *end_num;
-        const_AUTO(val, strtod(start_num, &end_num));
-        befs_weights[i] = max(val, 0.0);
-        start_num = end_num;
     }
-}
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/simpsim.h b/fc-solve/source/simpsim.h
index e51992ab7..15a6cd8cb 100644
--- a/fc-solve/source/simpsim.h
+++ b/fc-solve/source/simpsim.h
@@ -14,28 +14,31 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "instance.h"
 
 #ifndef FCS_DISABLE_SIMPLE_SIMON
 
-DECLARE_MOVE_FUNCTION(fc_solve_sfs_simple_simon_move_sequence_to_founds);
-DECLARE_MOVE_FUNCTION(fc_solve_sfs_simple_simon_move_sequence_to_true_parent);
-DECLARE_MOVE_FUNCTION(
-    fc_solve_sfs_simple_simon_move_whole_stack_sequence_to_false_parent);
-DECLARE_MOVE_FUNCTION(
-    fc_solve_sfs_simple_simon_move_sequence_to_true_parent_with_some_cards_above);
-DECLARE_MOVE_FUNCTION(
-    fc_solve_sfs_simple_simon_move_sequence_with_some_cards_above_to_true_parent);
-DECLARE_MOVE_FUNCTION(
-    fc_solve_sfs_simple_simon_move_sequence_with_junk_seq_above_to_true_parent_with_some_cards_above);
-DECLARE_MOVE_FUNCTION(
-    fc_solve_sfs_simple_simon_move_whole_stack_sequence_to_false_parent_with_some_cards_above);
-DECLARE_MOVE_FUNCTION(
-    fc_solve_sfs_simple_simon_move_sequence_to_parent_on_the_same_stack);
-DECLARE_MOVE_FUNCTION(fc_solve_sfs_simple_simon_move_sequence_to_false_parent);
+    DECLARE_MOVE_FUNCTION(fc_solve_sfs_simple_simon_move_sequence_to_founds);
+    DECLARE_MOVE_FUNCTION(
+        fc_solve_sfs_simple_simon_move_sequence_to_true_parent);
+    DECLARE_MOVE_FUNCTION(
+        fc_solve_sfs_simple_simon_move_whole_stack_sequence_to_false_parent);
+    DECLARE_MOVE_FUNCTION(
+        fc_solve_sfs_simple_simon_move_sequence_to_true_parent_with_some_cards_above);
+    DECLARE_MOVE_FUNCTION(
+        fc_solve_sfs_simple_simon_move_sequence_with_some_cards_above_to_true_parent);
+    DECLARE_MOVE_FUNCTION(
+        fc_solve_sfs_simple_simon_move_sequence_with_junk_seq_above_to_true_parent_with_some_cards_above);
+    DECLARE_MOVE_FUNCTION(
+        fc_solve_sfs_simple_simon_move_whole_stack_sequence_to_false_parent_with_some_cards_above);
+    DECLARE_MOVE_FUNCTION(
+        fc_solve_sfs_simple_simon_move_sequence_to_parent_on_the_same_stack);
+    DECLARE_MOVE_FUNCTION(
+        fc_solve_sfs_simple_simon_move_sequence_to_false_parent);
 
 #endif
 
